#include <engine.h>

//may be able to dispatch it
void	GameLoop(const double tick_time) {
	static double time = 0;

	time += GetFrameTime();
	if (time >= tick_time) {
		// interaction
		// simulation
		time = 0;
	}
}
